org.springframework.batch.core.jsr.step

## Class BatchletStep

- java.lang.Object
- - org.springframework.batch.core.step.AbstractStep
  - - org.springframework.batch.core.step.tasklet.TaskletStep
    - - org.springframework.batch.core.jsr.step.BatchletStep

- All Implemented Interfaces:
    Step, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean

      public class BatchletStep
      extends TaskletStep

  Special sub class of the `TaskletStep` for use with JSR-352 jobs. This implementation addresses the registration of a `BatchPropertyContext` for resolution of late binding parameters.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.step.tasklet.TaskletStep

      `TASKLET_TYPE_KEY`

    - ### Fields inherited from interface org.springframework.batch.core.Step

      `STEP_TYPE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchletStep(java.lang.String name, BatchPropertyContext propertyContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doExecutionRegistration(StepExecution stepExecution)` Registers the `StepExecution` for property resolution via `StepScope`

    - ### Methods inherited from class org.springframework.batch.core.step.tasklet.TaskletStep

      `afterPropertiesSet, close, createSemaphore, doExecute, getTasklet, open, registerChunkListener, registerStream, setChunkListeners, setInterruptionPolicy, setStepOperations, setStreams, setTasklet, setTransactionAttribute, setTransactionManager`

    - ### Methods inherited from class org.springframework.batch.core.step.AbstractStep

      `doExecutionRelease, execute, getCompositeListener, getJobRepository, getName, getStartLimit, isAllowStartIfComplete, registerStepExecutionListener, setAllowStartIfComplete, setBeanName, setJobRepository, setName, setStartLimit, setStepExecutionListeners, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchletStep

          public BatchletStep(java.lang.String name,
                              BatchPropertyContext propertyContext)

      Parameters:
        `name` - name of the step
        `propertyContext` - `BatchPropertyContext` used to resolve batch properties.

  - ### Method Detail

    - #### doExecutionRegistration

          protected void doExecutionRegistration(StepExecution stepExecution)

      Description copied from class: `AbstractStep`
      Registers the `StepExecution` for property resolution via `StepScope`
      Overrides:
        `doExecutionRegistration` in class `AbstractStep`
      Parameters:
        `stepExecution` - StepExecution to use when hydrating the StepScoped beans